Subject: RE: SCEP newest spec

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Tue, 3 Jun 2003 18:59:18 -0700

That might be the less cynical version.

The more helpful version would be give the URL
http://www.cisco.com/warp/public/cc/pd/sqsw/tech/scep_wp.htm

The abusive reply would be SWFG, it only took 2 minutes to find on Google. I
only mention it because I want to claim authorship of the acronym. 

If the PKIX group is not interested in documenting current practice then it
might be useful if the OASIS PKIForum took on the spec. You might also take
a look at the W3C XKMS specification currently in last call.

	Phill

> -----Original Message-----
> From: Stephen Kent [mailto:[email-masked]]
> Sent: Tuesday, June 03, 2003 5:17 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: SCEP newest spec
> 
> 
> 
> At 3:00 AM +1200 6/4/03, Peter Gutmann wrote:
> >"Miguel Rodriguez" <[email-masked]> writes:
> >
> >>What is the latest (or current) draft version specifying 
> the SCEP protocol?
> >
> >Wrong list, we're supposed to be pretending that SCEP 
> doesn't exist :-).
> >However, the last draft of the non-existant SCEP protocol 
> that doesn't exist
> >was the year-old -06, which would have expired late last 
> year if it existed.
> >
> >Peter.
> 
> The less cynical form of Peter's response is that SCEP is not an IETF 
> work product. It is a vendor protocol developed outside of the IETF 
> and it competes with two PKIX standard protocols (CMP and CMC). Since 
> PKIX, like most WGs, does not want to encourage additional ways of 
> performing the same functions, we have not considered SCEP as a PKIX 
> work item.
> 
> Hope this answers your question.
> 
> Steve
>

---

From: Stephen Kent <[email-masked]>
Date: Tue, 17 Jun 2003 22:27:07 -0400

>a look at the W3C XKMS specification currently in last call.

All IETF WGs have (or should have) as a goal not creating duplicative 
standards. PKIX failed in this regard with CMC vs. CMP (in no small 
part due to the efforts of a fellow VeriSign colleague). SCEP has 
never been submitted to PKIX for consideration, but it is fair to say 
that it would not be endorsed as a third protocol for cert management.

By all means, feel free to bring SCEP to OASIS, a standards body 
where architectural concerns do not seem to interfere with the 
promotion of vendor protocols.

Steve